> For the complete documentation index, see [llms.txt](https://legacy.docs.touchguild.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.7/components/forumtopic-1.md).

# ForumTopicComment

## Properties

| Property   | Description                                                                                                                                                                                                                         | Type                                                                 |
| ---------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------- |
| \_client   | Client                                                                                                                                                                                                                              | [Client](/documentation/select-version/v.0.1.7/components/client.md) |
| id         | The ID of the forum topic comment                                                                                                                                                                                                   | Number                                                               |
| content    | The content of the forum topic comment                                                                                                                                                                                              | String                                                               |
| createdAt  | The ISO 8601 timestamp that the forum topic comment was created at                                                                                                                                                                  | String                                                               |
| updatedAt? | The ISO 8601 timestamp that the forum topic comment was updated at, if relevant                                                                                                                                                     | String                                                               |
| topicID    | The ID of the forum topic                                                                                                                                                                                                           | Number                                                               |
| createdBy  | The ID of the user who created this forum topic comment (Note: If this event has createdByWebhookId present, this field will still be populated, but can be ignored. In this case, the value of this field will always be Ann6LewA) | String                                                               |
| guildID    | ID of the forum topic's server, if somehow provided.                                                                                                                                                                                | String                                                               |
| channelID  | ID of the forum channel, if somehow provided.                                                                                                                                                                                       | String                                                               |

## Constructor

```javascript
new ForumTopicComment(rawData, client, options?)
```

| Properties          | Description                                               | Type                                                                 | Required? |
| ------------------- | --------------------------------------------------------- | -------------------------------------------------------------------- | --------- |
| rawData             | raw data received from ws and converted to JSON           | Object                                                               | true      |
| client              | Client                                                    | [Client](/documentation/select-version/v.0.1.7/components/client.md) | true      |
| options?            | additional information we can give to a ForumTopicComment | Object                                                               | false     |
| options?.guildID?   | id of the comment's server, not provided by Guilded       | String \| null                                                       | false     |
| options?.channelID? | id of the comment's channel, not provided by Guilded      | String \| null                                                       | false     |

{% hint style="danger" %}
Do not use this constructor unless you know what you're doing. This constructor is used to return you rawdata into component.
{% endhint %}

## Methods

### createTopicComment(channelID, options)

Add a comment to the same forum topic as this comment.

| Properties      | Description                                                                         | Type   | Required? |
| --------------- | ----------------------------------------------------------------------------------- | ------ | --------- |
| channelID       | id of the forum channel (needed since Guilded does not provide us this information) | String | true      |
| options         | create options                                                                      | Object | true      |
| options.content | content of the comment                                                              | String | true      |

> Returns: <mark style="color:purple;">Promise<</mark>[<mark style="color:purple;">ForumTopicComment</mark>](/documentation/select-version/v.0.1.7/components/forumtopic-1.md)<mark style="color:purple;">></mark>

### edit(channelID, options?)

Edit this forum topic's comment.

| Properties      | Description                                                                         | Type   | Required? |
| --------------- | ----------------------------------------------------------------------------------- | ------ | --------- |
| channelID       | id of the forum channel (needed since Guilded does not provide us this information) | String | true      |
| options?        | create options                                                                      | Object | false     |
| options.content | content of the comment                                                              | String | false     |

> Returns: <mark style="color:purple;">Promise<</mark>[<mark style="color:purple;">ForumTopicComment</mark>](/documentation/select-version/v.0.1.7/components/forumtopic-1.md)<mark style="color:purple;">></mark>

### delete(channelID)

Delete this forum topic comment.

| Properties | Description                                                                         | Type   | Required? |
| ---------- | ----------------------------------------------------------------------------------- | ------ | --------- |
| channelID  | id of the forum channel (needed since Guilded does not provide us this information) | String | true      |

Returns: <mark style="color:purple;">Promise\<void></mark>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://legacy.docs.touchguild.com/documentation/select-version/v.0.1.7/components/forumtopic-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
